#include <UnitTest++.h>
#include "formule.hpp"
#include "parser.hpp"
#include <iostream>

// Un test simple qui réussi
TEST(test1) {
  CHECK(2 == 1+1);
}

// Un test simple qui échoue
TEST(test2) {
  CHECK(2 == 1+2);
}

// Exemple de test des fonctions de passage arbre de syntaxe abstraite <-> string
TEST(lit_ecrit_formule) {
  formule f = lit_formule("p /\\ (q => r \\/ p)");
  string s = formule2string(f);
  formule f2 = lit_formule(s);
  string s2 = formule2string(f2);
  CHECK(s == s2);
  free_all(f);
  free_all(f2);
}


int main()
{
  return UnitTest::RunAllTests(); // un peu magique: lance tous les tests
}
