#include "formule.hpp"
#include "parser.hpp"
#include <iostream>
#include <fstream>

using namespace std;

int main(int argc, char** argv) {
  formule f;
  if (argc <= 1) {
    f = lit_formule(cin);
  } else {
    ifstream ifs (argv[1], ifstream::in);
    f = lit_formule(ifs);
    ifs.close();
  }
  cout << formule2string(f) << endl;
  free_all(f);
  return 0;
}
